Name:    libcdf
Version: 2.7
Release: alt3

Packager: Yury A. Zotov <yz@altlinux.ru>

Summary: Common Data Format (CDF)
License: BSD-like
Group:   System/Libraries
URL:     http://nssdc.gsfc.nasa.gov/cdf/cdf_home.html

Source0: ftp://nssdcftp.gsfc.nasa.gov/standards/cdf/dist/cdf27/unix/cdf27-dist-all.tar.bz2
Source1  http://nssdc.gsfc.nasa.gov/cdf/html/FAQ.html
Patch0:  libcdf-COPYRIGHT.patch
Patch1:  libcdf-Makefile_linux.patch
Patch2:  libcdf-INSTALLDIR.patch
Patch3:  libcdf-shared.patch

# Automatically added by buildreq on Mon Dec 01 2003
BuildRequires: gcc-g77 libg2c-devel libncurses-devel libtinfo-devel

%package devel
Summary:   Development tools for the CDF library
Group:     Development/C
Requires:  %name = %version-%release

%package devel-static
Summary:   Development tools for the CDF library
Group:     Development/C
Requires:  %name-devel = %version-%release

%description
CDF is the Common Data Format.  It is a conceptual data abstraction for
storing, manipulating, and accessing multidimensional data sets.  The basic
component of CDF is a software programming interface that is a device-
independent view of the CDF data model.  The application developer is
insulated from the actual physical file format for reasons of conceptual
simplicity, device independence, and future expandability.  CDF files
created on any given platform can be transported to any other platform onto
which CDF is ported and used with any CDF tools or layered applications.

The CDF software, documentation, and user support services are provided
by NASA and available to the public free of charge. There are no license
agreements or costs involved in obtaining or using CDF.

%description devel
The static libraries, header files and documentation for using the 
CDF library in applications.

If you want to develop applications which will use the CDF library,
you'll need to install the %name-devel package.  You'll also need to
install the %name package.

%description devel-static
This package contains static libraries for developing with CDF library.


%prep
%setup -q -n cdf27-dist
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
cp %_sourcedir/FAQ.html FAQ.html
rm -rf cdfjava/lib

%build
%make_build LIBDIR=%_libdir all
%make_build test

%install
install -d %buildroot{%_bindir,%_libdir,%_includedir}
%make_install BINDIR=%buildroot%{_bindir} \
  LIBDIR=%buildroot%{_libdir} \
  INCLUDEDIR=%buildroot%{_includedir} \
  install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_bindir/*
%_libdir/cdf
%_libdir/*.so.*
%doc COPYRIGHT CHANGES.txt Release.notes FAQ.html

%files devel
%_includedir/*
%_libdir/*.so
#%_libdir/*.la
%doc samples cdfjava

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Mon Dec 01 2003 Yury A. Zotov <yz@altlinux.ru> 2.7-alt3
- Do not package .la files.
- Do not package devel-static by default.

* Wed Oct 02 2002 Stanislav Ievlev <inger@altlinux.ru> 2.7-alt2
- rebuild with gcc3

* Mon Jun 18 2001 Yury A. Zotov <yz@altlinux.ru> 2.7-alt1 
- Initial revision.
 
